Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Class ObservableDocumentEditor

    java.lang.Object
      org.infinispan.schematic.internal.document.DocumentEditor
          org.infinispan.schematic.internal.document.ObservableDocumentEditor

All Implemented Interfaces:
  Serializable, Document, EditableDocument

Direct Known Subclasses:
  Schematic.EditorImpl

    public class ObservableDocumentEditor

extends DocumentEditor

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.infinispan.schematic.document.Document
`Document.Field, Document.ValueTransformer`

Field Summary

Fields inherited from class org.infinispan.schematic.internal.document.DocumentEditor
`factory`

Constructor Summary
`ObservableDocumentEditor(MutableDocument document, Path path, DocumentObserver delta, DocumentValueFactory factory)`

Method Summary
`protected Object` | `copy(Object value)`
`protected EditableArray` | `createEditableArray(MutableArray array, String fieldName, DocumentValueFactory factory)`
`protected EditableDocument` | `createEditableDocument(MutableDocument document, String fieldName, DocumentValueFactory factory)`
`protected Object` | `doSetValue(String name, Object newValue)` The method that does the actual setting for all of the `set...`
`protected Object` | `doSetValueIfAbsent(String name, Object value)` The method that does the actual setting for all of the `set...`
`Object` | `remove(String name)` Remove the field with the supplied name, and return the value.
`void` | `removeAll()` Remove all fields from this document.

Methods inherited from class org.infinispan.schematic.internal.document.DocumentEditor
`asMutableDocument, clone, containsAll, containsField, editable, editable, fields, get, getArray, getBinary, getBoolean, getBoolean, getCode, getCodeWithScope, getDocument, getDouble, getDouble, getInteger, getInteger, getLong, getLong, getMaxKey, getMinKey, getNumber, getNumber, getObjectId, getOrCreateArray, getOrCreateDocument, getPattern, getString, getString, getSymbol, getType, getUuid, getUuid, isEmpty, isNull, isNullOrMissing, keySet, put, putAll, putAll, set, setArray, setArray, setArray, setBinary, setBoolean, setCode, setCode, setDate, setDate, setDocument, setDocument, setNull, setNumber, setNumber, setNumber, setNumber, setObjectId, setObjectId, setObjectId, setRegularExpression, setRegularExpression, setString, setSymbol, setTimestamp, setUuid, size, toMap, toString, unwrap, unwrap, unwrap, unwrap, with, with, withVariablesReplaced, withVariablesReplacedWithSystemProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObservableDocumentEditor

    public ObservableDocumentEditor(MutableDocument document,
                                    Path path,
                                    DocumentObserver delta,
                                    DocumentValueFactory factory)

Method Detail

### doSetValue

    protected Object doSetValue(String name,
                                Object newValue)

  Description copied from class: `DocumentEditor`
  The method that does the actual setting for all of the `set...` methods. This method may be overridden by subclasses when additional work needs to be performed during the set operations.

  Overrides:
    `doSetValue` in class `DocumentEditor`
  Parameters:
    `name` - the name of the field being set
    `newValue` - the new value
  Returns:
    the old value, or null if there was no existing value

### doSetValueIfAbsent

    protected Object doSetValueIfAbsent(String name,
                                        Object value)

  Description copied from class: `DocumentEditor`
  The method that does the actual setting for all of the `set...` methods. This method may be overridden by subclasses when additional work needs to be performed during the set operations.

  Overrides:
    `doSetValueIfAbsent` in class `DocumentEditor`
  Parameters:
    `name` - the name of the field being set
    `value` - the new value
  Returns:
    the old value, or null if there was no existing value

### remove

    public Object remove(String name)

  Description copied from interface: `EditableDocument`
  Remove the field with the supplied name, and return the value.

  Specified by:
    `remove` in interface `EditableDocument`
  Overrides:
    `remove` in class `DocumentEditor`
  Parameters:
    `name` - The name of the field
  Returns:
    the value that was removed, or null if there was no such value

### copy

    protected Object copy(Object value)

### removeAll

    public void removeAll()

  Description copied from interface: `EditableDocument`
  Remove all fields from this document.

  Specified by:
    `removeAll` in interface `EditableDocument`
  Overrides:
    `removeAll` in class `DocumentEditor`

### createEditableDocument

    protected EditableDocument createEditableDocument(MutableDocument document,
                                                      String fieldName,
                                                      DocumentValueFactory factory)

  Overrides:
    `createEditableDocument` in class `DocumentEditor`

### createEditableArray

    protected EditableArray createEditableArray(MutableArray array,
                                                String fieldName,
                                                DocumentValueFactory factory)

  Overrides:
    `createEditableArray` in class `DocumentEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.